"use client";

import { useRouter } from "next/navigation";

export default function ActionButtons({ loggedIn }: { loggedIn: boolean }) {
  const router = useRouter();
  return loggedIn ? (
    <div
      style={{
        marginTop: "2rem",
        padding: "0.5rem 1rem",
        backgroundColor: "#333",
        width: "fit-content",
        userSelect: "none",
        cursor: "pointer",
      }}
      onClick={() => router.push("/blog/write")}
    >
      write a post
    </div>
  ) : (
    <div
      style={{
        marginTop: "2rem",
        padding: "0.3rem 0.5rem",
        backgroundColor: "#333",
        width: "fit-content",
        userSelect: "none",
        cursor: "pointer",
        fontSize: "0.8rem",
      }}
      onClick={() => router.push("/blog/login")}
    >
      login
    </div>
  );
}
